'use strict';

angular.module('fehlerberichtApp')
    .controller('CalendarCtrl', function ($scope, $http) {
        var webservice = 'http://rbs06/fehlerbericht/db.php?';

        $().ready(function() {

            // page is now ready, initialize the calendar...

            $('#calendar').fullCalendar({
                'weekNumbers': true,
                'header': {
                    left:   'title',
                    center: '',
                    right:  'month basicWeek agendaDay today prev,next'
                },
                'events': {
                    'url': webservice + 'a=liste&events=1'
                }
                /*
                events: [
                    {
                        title: 'Reisacher (1)',
                        start: '2014-11-01T06:03:00',
                        color: 'yellow',
                        textColor: 'black'
                    },
                    {
                        title: 'Arndt (3)',
                        start: '2014-11-07T09:10:00',
                        color: 'red'
                    },
                    {
                        title: 'Nauheim (2)',
                        start: '2014-11-11T07:00:00',
                        color: 'orange'
                    },
                    {
                        title: 'Ulmen (2)',
                        start: '2014-11-12T10:30:00',
                        color: 'orange'
                    },
                    {
                        title: 'Auto Nova (5)',
                        start: '2014-11-12T12:00:00',
                        color: 'darkred'
                    },
                    {
                        title: 'Bunk (1)',
                        start: '2014-11-12T14:30:00',
                        color: 'yellow',
                        textColor: 'black'
                    },
                    {
                        title: 'Lehr (3)',
                        start: '2014-11-12T17:30:00',
                        color: 'red'
                    },
                    {
                        title: 'Boettche (1)',
                        start: '2014-11-12T20:00:00',
                        color: 'yellow',
                        textColor: 'black'
                    },
                    {
                        title: 'Voss und Voss (2)',
                        start: '2014-11-13T07:00:00',
                        color: 'orange'
                    }
                ] */
            });

        });
    });